HEIGHT=100;
DIAMETER=133.7;
WALLSIZE=20;
RESOLUTION=72;
HOLE_DIAMETER=10;

difference() {
    linear_extrude(height=HEIGHT+WALLSIZE, twist=45, slices=10)
    circle(d=DIAMETER+WALLSIZE*2, center=true, $fn=8);
 
    translate([0, 0, WALLSIZE])
    cylinder(h=HEIGHT, d=DIAMETER, $fn=RESOLUTION);
    
    cylinder(h=WALLSIZE, d=HOLE_DIAMETER, $fn=RESOLUTION);
}