// Helpful to look into this pdf: https://www.raspberrypi.org/documentation/hardware/raspberrypi/mechanical/Raspberry-Pi-3B-V1.2-Mechanical.pdf

include <lib2020.scad>

RPI_HOLE_DIST=49;
RPI_HOLE_SPACING=0.5;
RPI_HOLE_POS=6;
ZIPTIE_WIDTH=6;
ZIPTIE_HEIGHT=2;
HEIGHT=8;
THICKNESS=5;

translate([0, -THICKNESS, 0])
difference() {
    cube([RPI_HOLE_DIST + HEIGHT, THICKNESS, HEIGHT]);
    translate([HEIGHT/2-ZIPTIE_HEIGHT/2, 0, HEIGHT/2-ZIPTIE_WIDTH/2])
    cube([ZIPTIE_HEIGHT, HEIGHT, ZIPTIE_WIDTH]);
    translate([RPI_HOLE_DIST+HEIGHT/2-ZIPTIE_HEIGHT/2, 0, HEIGHT/2-ZIPTIE_WIDTH/2])
    cube([ZIPTIE_HEIGHT, HEIGHT, ZIPTIE_WIDTH]);
}

translate([(RPI_HOLE_DIST + HEIGHT)/2-16, 0, 0]) {
    __2020(HEIGHT, 11/2);
}