HEIGHT=20;
DIAMETER=40;
WALL_THICKNESS=2;
HOLES=6;
PULL_HANDLE=true;

$fn=36;
PI=3.1415;

difference() {
    cylinder(h=HEIGHT, d=DIAMETER);
    translate([0, 0, WALL_THICKNESS])
    cylinder(h=HEIGHT-WALL_THICKNESS, d=DIAMETER-WALL_THICKNESS*2);
    
    // cutouts
    for(i = [0: 360/HOLES: 360-HOLES]) {
        rotate([0, 0, i])
        translate([DIAMETER/4, 0])
        cylinder(h=WALL_THICKNESS, d=(DIAMETER*PI/(HOLES*2)*3/4));
    }
}

// pull handle if desired
translate([0, 0, WALL_THICKNESS])
cylinder(h=HEIGHT-WALL_THICKNESS, d=DIAMETER/10);