$fn = 36;

linear_extrude(height=5)
translate([6, -1])
text("maride", size=25, font="Milkshake");

linear_extrude(height=2)
union() {
    difference() {
        __bearing(5);
        __bearing(3);
    }
    
    // connectors between bearings
    translate([-1.5, 1.5])
    square([3, 17]);
    translate([103.5, 1.5])
    square([3, 17]);
    
    // connectors bearing <=> text (left)
    translate([1.5, 5])
    square([6, 3]);
    // connectors bearing <=> text (right)
    translate([95, 7])
    square([9, 3]);
    // connector for the i-dot
    translate([61, 11])
    rotate([0, 0, -20])
    square([3, 7]);
}

module __bearing(diameter) {
    circle(d=diameter);
    translate([105, 0])
    circle(d=diameter);
    translate([0, 20])
    circle(d=diameter);
    translate([105, 20])
    circle(d=diameter);
}