INNER_DIMENSION=19;
HEIGHT=10;
EDGES=6;
FLATNESS=0.9;
THICKNESS=8;

$fn = 36;

difference() {
    union() {
        translate([0, 0, HEIGHT/5])
        rotate([180, 0])
        linear_extrude(height=HEIGHT/5, scale=FLATNESS) {
            circle(d=INNER_DIMENSION+THICKNESS, $fn=EDGES);
        }
        translate([0, 0, HEIGHT/5])
        linear_extrude(height=HEIGHT*3/5) {
            circle(d=INNER_DIMENSION+THICKNESS, $fn=EDGES);
        }
        translate([0, 0, HEIGHT*4/5])
        linear_extrude(height=HEIGHT/5, scale=FLATNESS) {
            circle(d=INNER_DIMENSION+THICKNESS, $fn=EDGES);
        }
    }
    
    linear_extrude(height=HEIGHT) {
        circle(d=INNER_DIMENSION);
    }
}