INNER_DIAMETER=8;
RAISE_DIAMETER=1;
RAISE_NUM=2;
RAISE_HEIGHT=2;
HEIGHT=16;
HEAD_DIAMETER=12;
HEAD_HEIGHT=4;

$fn=36;

// Head
cylinder(d=HEAD_DIAMETER, h=HEAD_HEIGHT);

translate([0, 0, HEAD_HEIGHT]) {
    // Middle
    cylinder(d=INNER_DIAMETER, h=HEIGHT);

    // Raise
    for(i = [0 : RAISE_NUM+1]) {
        translate([0, 0, RAISE_HEIGHT*2*i])
        cylinder(d=INNER_DIAMETER + RAISE_DIAMETER, h=RAISE_HEIGHT);
    }
}